/**
 * @Author: consentio
 * @Date:   2018-08-18T16:59:48+02:00
 * @Last modified by:   consentio
 * @Last modified time: 2023-08-15T15:51:17+02:00
 */



INSERT INTO `i18n` (`index`, `group`, `en`, `de`) VALUES
('carousel', 'common', 'Carousel', 'Karussell'),
('movement', 'carousel', 'Direction of Movement', 'Bewegungsrichtung'),
('controls', 'carousel', 'Controls', 'Bedienelemente'),
('pager', 'carousel', 'Page Numbers', 'Seitennummern'),
('auto', 'carousel', 'Automatic Movement', 'Automatische Bewegung'),
('preview_width', 'carousel', 'Width of Preview', 'Breite der Voransicht'),
('interval', 'common', 'Interval', 'Interval');

INSERT INTO `register` ( `name`, `call`, `plugin`, `tab`, `params`, `gui`, `top`, `start`, `group`, `icon`, `image`, `level`, `sort`, `frontend`) VALUES
('carousel', 'carousel', 'carousel', '7', '', '1', '', 'on', 'on', 'database-go', '0', '1', '330', ''),
('car_settings', 'car_settings', 'carousel', '7', '', '1', '', '', 'on', 'wrench', '0', '1', '350', '');

INSERT INTO `html_snippets` (`key`, `code`, `group`, `description`) VALUES
('cms_carousel', '<div id="carouselwrap">\r\n<div id="carousel">\r\n\t<div class="viewport">\r\n\t\t<ul class="overview">&&&&list&&&&</ul>\r\n\t</div>\r\n</div>\r\n</div>\r\n<!-- A=carousel -->\r\n<script src="/js/jQcarousel2.js"></script>\r\n<script>\r\n\t$(document).ready(function(){\r\n\t\t$(\'#carousel\').tinycarousel({\r\n\t\t&&&&params&&&&\r\n\t\tnext: \'<i class="fas fa-chevron-right fa-3x" title="&&&&next&&&&"></i>\',\r\n\t\tprevious: \'<i class="fas fa-chevron-left fa-3x" title="&&&&previous&&&&"></i>\'\r\n\t\t});\t\t\r\n\t});\r\n</script>', '14', 'main template of carousel'),
('cms_carousel_title', '<h2>&&&&title&&&&</h2>', '14', 'Title of Corousel Text'),
('cms_carousel_picture', '<img src="/pictures/big/&&&&picture&&&&" alt="&&&&alt&&&&" />', '14', 'The Picture of Carousel'),
('cms_carousel_more', '<span class="rightfloat"><a href="&&&&link&&&&" class="more">&&&&more&&&&</a></span>', '14', 'Link to More in Carousel'),
('cms_carousel_textcontainer', '<div class="cartext">\r\n&&&&title&&&&\r\n&&&&text&&&&\r\n</div>', '14', 'The Text Container of Carousel');

CREATE TABLE `carousel` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `title` varchar(128) DEFAULT NULL,
  `text` text NOT NULL,
  `alt` varchar(128) DEFAULT NULL,
  `active` varchar(2) DEFAULT NULL,
  `link` varchar(127) DEFAULT NULL,
  `picture` varchar(127) NOT NULL,
  `sort` bigint(20) NOT NULL,
  `lang` varchar(2) NOT NULL DEFAULT 'de',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `help` (`parent`, `header`, `body`, `sort`, `tooltip`, `language`)
VALUES ('199999999', 'Karussell', '<p><span style="font-weight: bold;">Das Karussell</span>, in der Fachsprache auch oft Slideshow genannt, ist ein sehr beliebter Homepage-Effekt zur Belebung der eigenen Website. Der sinnvolle Einsatz wertet die Seite optisch auf und vermittelt dem Besucher ein Gefühl von Dynamik und Qualität. <br></p><p>Ein Eintrag besteht aus einem Bild, einem kurzen Text mit Titel und einem Link auf eine Unterseite. Das Karussell enthält sinnvoller Weise mindestens drei Einträge, die mit einer Animation wechseln.<br></p><p>In den <span style="font-weight: bold;">Einstellungen</span> legen Sie fest, ob die angelegten Einträge automatisch durchlaufen oder manuell mittels Bedienelemente oder Seitennummern auswählbar sind. Ebenso ist es möglich die Bewegungsrichtigung und das Zeitintervall zwischen den Einträgen selbst zu bestimmen. <br></p>', '20', 'carousel', 'de'),
('199999999', 'Bewegungsrichtung', '<p>Durch Auswahl von "x", "y" oder "z" können Sie bestimmen, ob die Einträge des Karussells horizontal,&nbsp; vertikal oder als Überblendung ablaufen sollen.</p>', '210', 'car_settings.movement', 'de'),
('199999999', 'Eintrag aktivieren', '<p><span style="font-weight: bold;">Die Checkbox "aktiviert"</span> ermöglicht es Ihnen, Karuselleinträge zu aktivieren bzw. zu deaktivieren. Damit können Einträge für Besucher der Website unsichtbar gemacht werden, ohne diese löschen zu müssen. Dies geschieht ganz einfach durch Entfernen des Häkchens.</p>   ', '120', 'carousel.active', 'de'),
('199999999', 'Text', '<p>Geben Sie hier einen <span style="font-weight: bold;">kurzen Begleittext</span> zum Bild ein.<br></p>', '50', 'carousel.text', 'de'),
('199999999', 'Sortieren', '<p> Um die <span style="font-weight: bold;">Position des Erscheinens</span> des aktuellen Karuselleintrags zu definieren gibt geben Sie hier die Nummer der Sortierreihenfolge ein.<br></p> <p>Alternativ dazu schieben Sie die Einträge in der Tabellenansicht in die gewünschte Reihenfolge und klicken Sie danach auf "Sortieren".<br></p>', '140', 'carousel.sort', 'de'),
('199999999', 'Link', '<p>Tragen Sie hier die URL des Links ein, zu dem der Eintrag führen soll.</p>', '100', 'carousel.link', 'de'),
('199999999', 'Bild', '<p>Sie haben die <span style="font-weight: bold;">Möglichkeit ein Bild</span> der Bildformate "jpg", "png",&nbsp; oder "gif" <span style="font-weight: bold;">beizufügen</span>. Mit dem Button neben dem Feld "Bild hochladen" suchen Sie mit der von Ihrem Betriebssystem vertrauten Dateimaske nach der gewünschten Bilddatei und wählen diese aus. Beim Speichern wird das Bild nun auf den Server hochgeladen, skaliert, und mit dem Karusselleintrag verknüpft. Bei einer weiteren Bearbeitung des Eintrags erscheint der Name des Bildes in dem Feld "vorhandenes Bild".</p><p>Um ein bereits vorhandenes Bild (Das heißt: ein Bild, das schon zuvor etwa in der Bilddatenbank hochgeladen worden ist.) auszuwählen, klicken Sie auf den auf das Ordnersymbol. Wählen Sie nun im Bild-Assistenten das gewünschte Bild aus. Die in Kategorien und Seiten eingeteilte Baumstruktur hilft Ihnen beim Suchen. <br></p><p><span style="font-weight: bold;">Hinweis:</span> Es handelt sich hierbei um ein Pflichtfeld. Karusselleinträge können nur mit einer entsprechenden Bilddatei erstellt werden. Die Bilder sollten auch&nbsp;— je nach Darstellungsgröße –&nbsp; in einheitlichen Dimensionen vorliegen.<br></p>', '160', 'carousel.picture', 'de'),
('199999999', 'Alternativtext', '<p>Der Alternativtext ist ein wesentliches Instrument, um Inhalte barrierefrei zu gestalten. Beschreiben Sie hier in einem kurzen Satz, was auf dem Bild zu sehen ist. Der Alternativtext kann entfallen, wenn ein Bild ausschließlich als Dekoration dient.</p>', '190', 'carousel.alt', 'de'),
('199999999', 'Bedienelemente', '<p>Hier können Sie durch Anklicken der Checkbox bestimmen, ob die Bedienelemente (Pfeilsymbole) des Karussells angezeigt werden sollen.<br></p>', '250', 'car_settings.controls', 'de'),
('199999999', 'Seitennummern', '<p>Hier können Sie durch Anklicken der Checkbox bestimmen, ob die <span style="font-weight: bold;">Seitennummern des Karussells</span> angezeigt werden sollen. Die Seitennummern dienen neben der Nummerierung auch der direkten Ansteuerung zu den einzelnen Einträgen des Karussells.<br></p>', '260', 'car_settings.pager', 'de'),
('199999999', 'Automatische Bewegung', '<p>Hier können Sie durch Anklicken der Checkbox bestimmen, ob die Karusselleinträge automatisch durchlaufen oder nur manuell angesteuert werden.</p>', '220', 'car_settings.auto', 'de'),
('199999999', 'Intervall', '<p>Hier können Sie eintragen, in welchem <span style="font-weight: bold;">Zeitintervall</span> (in Sekunden) die einzelnen Karusselleinträge ablaufen sollen. <br></p>', '230', 'car_settings.interval', 'de'),
('199999999', 'Titel', '<p>Geben Sie hier bei Bedarf einen Titel ein.<br></p>', '70', 'carousel.title', 'de'),
('199999999', 'Karussell aktivieren', '<p>Das Karussell wird durch Aktivierung und Deaktivierung je nach Bedarf von der Website entfernt oder wiederhergestellt.<br></p>', '200', 'car_settings.active', 'de');

INSERT INTO `help_folder` ( `name`, `short`, `parent`, `sort`, `language`)
VALUES ('Karussell', '', '17', '40', 'de');

UPDATE `help` SET `parent` = (SELECT `id` FROM `help_folder` WHERE `name` = 'Karussell') WHERE `parent` = '199999999';
